<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="35afd8af-3ecf-4acb-92e1-221bb40c7cb6" name="Default Changelist" comment="">
      <change afterPath="$PROJECT_DIR$/../../nav-component/.idea/inspectionProfiles/Project_Default.xml" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/listener/Listener.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../.idea/ba_microfrontends.iml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../.idea/inspectionProfiles/Project_Default.xml" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../.idea/misc.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../.idea/misc.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../.idea/modules.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../.idea/modules.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/angular.json" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/angular.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/package-lock.json" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/package-lock.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/package.json" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/package.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/app/app.component.css" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/app/app.component.css" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/app/app.component.html" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/app/app.component.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/app/app.component.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/app/app.component.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/app/app.module.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/app/app.module.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/main/resources/static/3rdpartylicenses.txt" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/main/resources/static/3rdpartylicenses.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentA/src/main/resources/static/main.js" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentA/src/main/resources/static/main.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentB/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentB/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/META-INF/MANIFEST.MF" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentC/target/META-INF/MANIFEST.MF" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/classes/static/3rdpartylicenses.txt" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/classes/static/favicon.ico" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/classes/static/index.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/classes/static/main.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../../componentC/target/componentC-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../../componentC/target/componentC-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle1/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle1/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle10/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle10/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle12/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle12/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle13/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle13/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle14/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle14/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle15/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle15/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle16/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle16/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle17/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle17/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle18/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle18/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle19/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle19/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle2/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle2/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle20/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle20/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle21/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle21/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle22/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle22/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/47.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/47.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/48.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/48.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/49.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/49.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle24/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle24/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle25/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle25/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle26/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle26/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle27/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle27/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle28/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle28/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle29/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle29/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle3/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle3/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle30/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle30/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle31/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle31/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle32/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle32/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle33/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle33/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle34/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle34/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle35/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle35/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle36/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle36/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle37/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle37/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle38/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle38/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle39/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle39/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle4/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle4/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle40/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle40/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle41/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle41/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle42/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle42/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle43/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle43/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle44/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle44/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle45/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle45/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle46/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle46/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle47/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle47/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle48/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle48/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle49/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle49/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle5/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle5/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle6/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle6/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle7/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle7/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle8/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle8/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle9/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle9/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/3rdpartylicenses.txt" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/3rdpartylicenses.txt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/index.html" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/index.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/main.68dd01824967c8315752.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui-bundle/src/main/resources/static/tu2.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/angular.json" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/angular.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/app.module.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/app.module.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/article-dashboard/models/microfrontend.interface.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/article-dashboard/models/microfrontend.interface.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/Dialog/component.dialog.ts" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/Dialog/dialog-component.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.css" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.css" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.html" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.html" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component2.html" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.module.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.module.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.rest.service.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.rest.service.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.websocket.service.ts" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/app/container/container.websocket.service.ts" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/cit-logo-klein.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/tu.png" beforeDir="false" afterPath="$PROJECT_DIR$/../client/client-ui/src/tu.png" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../client/client-ui/src/tu2.png" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../jackson-bundle/target/META-INF/MANIFEST.MF" beforeDir="false" afterPath="$PROJECT_DIR$/../jackson-bundle/target/META-INF/MANIFEST.MF" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../jackson-bundle/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/jackson/JacksonFeatureActivator.class" beforeDir="false" afterPath="$PROJECT_DIR$/../jackson-bundle/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/jackson/JacksonFeatureActivator.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../jackson-bundle/target/jackson-bundle-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../jackson-bundle/target/jackson-bundle-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/bundle/jackson-bundle-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/bundle/jackson-bundle-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/conf/config.properties" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/conf/config.properties" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle1/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle1/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle10/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle10/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/version0.0/bundle.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle11/version0.0/bundle.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle12/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle12/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle13/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle13/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle14/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle14/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle15/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle15/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle16/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle16/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle17/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle17/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle18/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle18/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle19/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle19/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle2/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle2/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle20/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle20/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle21/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle21/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle22/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle22/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/50.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/50.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/51.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/51.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/52.checksum" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle23/data/52.checksum" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle24/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle24/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle25/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle25/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle26/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle26/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle27/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle27/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle28/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle28/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle29/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle29/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle3/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle3/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle30/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle30/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle31/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle31/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle32/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle32/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle33/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle33/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle34/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle34/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle35/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle35/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle36/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle36/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle37/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle37/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle38/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle38/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle39/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle39/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle4/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle4/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle40/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle40/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle41/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle41/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle42/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle42/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle43/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle43/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle44/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle44/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle45/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle45/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle46/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle46/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle47/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle47/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle48/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle48/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle49/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle49/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle5/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle5/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle50/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle50/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle50/version0.0/bundle.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle50/version0.0/revision.location" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle51/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle51/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle51/version0.0/bundle.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle51/version0.0/revision.location" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle52/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle52/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle52/version0.0/bundle.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle52/version0.0/revision.location" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle6/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle6/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle7/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle7/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle8/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle8/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle9/bundle.info" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/felix-cache/bundle9/bundle.info" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/client-ui-bundle-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/client-ui-bundle-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/persistence-unit-main-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/persistence-unit-main-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/service-main-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/microfrontends/service-main-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/vivalytic/client-ui-bundle-0.0.1-SNAPSHOT.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/vivalytic/persistence-unit-main-0.0.1-SNAPSHOT.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../osgi-runtime/felix-framework-5.6.10/vivalytic/service-main-0.0.1-SNAPSHOT.jar" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/src/main/java/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.java" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/src/main/java/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/META-INF/MANIFEST.MF" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/META-INF/MANIFEST.MF" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/META-INF/persistence.xml" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/META-INF/persistence.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/Article.class" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/Article.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/AuthenticatedUser.class" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/AuthenticatedUser.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.class" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/Role.class" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/Role.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/User.class" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/classes/de/adesso/thesis/osgi/microfrontend/domain/User.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/../persistence-unit-main/target/persistence-unit-main-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/../persistence-unit-main/target/persistence-unit-main-0.0.1-SNAPSHOT.jar" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/pom.xml" beforeDir="false" afterPath="$PROJECT_DIR$/pom.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/activator/Activator.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/api/TestService.java" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.java" beforeDir="false" afterPath="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.java" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/activator/Activator.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/ArticleService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/ArticleService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/LoginHandlerService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/LoginHandlerService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/MicroFrontendService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/MicroFrontendService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/TestService.class" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/UserService.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/api/UserService.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/ArticleController.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/ArticleController.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/UserController.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/controller/UserController.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/ArticleServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/ArticleServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/Constants.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/Constants.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/MicroFrontendServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/MicroFrontendServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/UserServiceImpl.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/UserServiceImpl.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/AuthenticationSystemException.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/AuthenticationSystemException.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/JwtUtil.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/JwtUtil.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/LoginHandler.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/LoginHandler.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/LoginRequest.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/LoginRequest.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/PasswordHashUtil.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/PasswordHashUtil.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/SecurityHandler.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/impl/security/SecurityHandler.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/ArticleRepository.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/ArticleRepository.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/UserRepository.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/repository/UserRepository.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/websocket/SocketServlet.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/websocket/SocketServlet.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/websocket/Websocket.class" beforeDir="false" afterPath="$PROJECT_DIR$/target/classes/de/adesso/thesis/osgi/microfrontend/main/websocket/Websocket.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst" beforeDir="false" afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/createdFiles.lst" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst" beforeDir="false" afterPath="$PROJECT_DIR$/target/maven-status/maven-compiler-plugin/compile/default-compile/inputFiles.lst" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/target/service-main-0.0.1-SNAPSHOT.jar" beforeDir="false" afterPath="$PROJECT_DIR$/target/service-main-0.0.1-SNAPSHOT.jar" afterDir="false" />
    </list>
    <ignored path="$PROJECT_DIR$/target/" />
    <ignored path="$PROJECT_DIR$/../persistence-unit-main/target/" />
    <ignored path="$PROJECT_DIR$/../client/client-ui/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="385">
              <caret line="32" column="54" selection-start-line="32" selection-start-column="54" selection-end-line="32" selection-end-column="54" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/article-dashboard/models/microfrontend.interface.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="88">
              <caret line="4" column="15" selection-start-line="4" selection-start-column="15" selection-end-line="4" selection-end-column="15" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="748">
              <caret line="48" column="8" selection-start-line="48" selection-start-column="8" selection-end-line="48" selection-end-column="8" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="418">
              <caret line="29" selection-start-line="29" selection-end-line="29" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.ts">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1716">
              <caret line="83" column="60" selection-start-line="83" selection-start-column="60" selection-end-line="83" selection-end-column="60" />
              <folding>
                <element signature="e#0#78#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.html">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="638">
              <caret line="29" column="8" selection-start-line="29" selection-start-column="8" selection-end-line="29" selection-end-column="8" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1166">
              <caret line="53" column="28" selection-start-line="53" selection-start-column="28" selection-end-line="53" selection-end-column="28" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../persistence-unit-main/pom.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="924">
              <caret line="42" column="39" selection-start-line="42" selection-start-column="39" selection-end-line="42" selection-end-column="39" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../persistence-unit-main/src/main/java/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="616">
              <caret line="34" column="27" selection-start-line="34" selection-start-column="27" selection-end-line="34" selection-end-column="27" />
              <folding>
                <element signature="e#1722#1723#0" expanded="true" />
                <element signature="e#1748#1749#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="jar://$MAVEN_REPOSITORY$/org/osgi/org.osgi.core/6.0.0/org.osgi.core-6.0.0-sources.jar!/org/osgi/framework/BundleActivator.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="1166">
              <caret line="67" column="43" selection-start-line="67" selection-start-column="22" selection-end-line="67" selection-end-column="43" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>htm</find>
      <find>con</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$/../.." />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/activator/Activator.java" />
        <option value="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.java" />
        <option value="$PROJECT_DIR$/../persistence-unit-main/pom.xml" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/../client/client-ui/src/app/article-dashboard/models/microfrontend.interface.ts" />
        <option value="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.html" />
        <option value="$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.ts" />
        <option value="$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.java" />
        <option value="$PROJECT_DIR$/../persistence-unit-main/src/main/java/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.java" />
      </list>
    </option>
  </component>
  <component name="MavenImportPreferences">
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="329" />
    <option name="width" value="1571" />
    <option name="height" value="1025" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="persistence-unit-main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="persistence-unit-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="persistence-unit-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="persistence-unit-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="persistence-unit-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="domain" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="controller" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="impl" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="service-main" type="b2602c69:ProjectViewProjectNode" />
              <item name="service-main" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="repository" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="com.android.tools.idea.instantapp.provision.ProvisionBeforeRunTaskProvider.myTimeStamp" value="1552495111764" />
    <property name="editor.config.ad.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$/../client/client-ui" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.12137681" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="ts.external.directory.path" value="$PROJECT_DIR$/../client/client-ui/node_modules/typescript/lib" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="35afd8af-3ecf-4acb-92e1-221bb40c7cb6" name="Default Changelist" comment="" />
      <created>1552428191417</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1552428191417</updated>
      <workItem from="1552428194564" duration="17863000" />
      <workItem from="1552560598643" duration="599000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="18462000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="0" y="0" width="1920" height="1025" extended-state="7" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25239617" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Designer" order="2" />
      <window_info id="Persistence" order="3" side_tool="true" />
      <window_info id="Image Layers" order="4" />
      <window_info id="Capture Tool" order="5" />
      <window_info id="UI Designer" order="6" />
      <window_info id="Favorites" order="7" side_tool="true" />
      <window_info id="Learn" order="8" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="TypeScript" order="7" />
      <window_info anchor="bottom" id="Terminal" order="8" />
      <window_info anchor="bottom" id="Docker" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Event Log" order="10" side_tool="true" />
      <window_info anchor="bottom" id="Java Enterprise" order="11" />
      <window_info anchor="bottom" id="Database Changes" order="12" />
      <window_info anchor="bottom" id="Version Control" order="13" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Maven" order="3" />
      <window_info anchor="right" id="Palette" order="4" />
      <window_info anchor="right" id="Capture Analysis" order="5" />
      <window_info anchor="right" id="Database" order="6" />
      <window_info anchor="right" id="Palette&#9;" order="7" />
      <window_info anchor="right" id="Theme Preview" order="8" />
      <window_info anchor="right" id="Bean Validation" order="9" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/listener/Listener.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="580">
          <caret line="46" column="51" selection-start-line="46" selection-start-column="51" selection-end-line="46" selection-end-column="51" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/api/BundleValidationService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="110">
          <caret line="10" column="75" selection-start-line="10" selection-start-column="75" selection-end-line="10" selection-end-column="75" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../persistence-unit-main/src/main/resources/META-INF/persistence.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="21" column="60" selection-start-line="21" selection-start-column="60" selection-end-line="21" selection-end-column="60" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/impl/BundleValidationServiceImpl.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="385">
          <caret line="32" column="54" selection-start-line="32" selection-start-column="54" selection-end-line="32" selection-end-column="54" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/article-dashboard/models/microfrontend.interface.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="15" selection-start-line="4" selection-start-column="15" selection-end-line="4" selection-end-column="15" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/repository/MicroFrontendRepository.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="748">
          <caret line="48" column="8" selection-start-line="48" selection-start-column="8" selection-end-line="48" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/de/adesso/thesis/osgi/microfrontend/main/controller/MicroFrontendController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="418">
          <caret line="29" selection-start-line="29" selection-end-line="29" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.ts">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1716">
          <caret line="83" column="60" selection-start-line="83" selection-start-column="60" selection-end-line="83" selection-end-column="60" />
          <folding>
            <element signature="e#0#78#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../client/client-ui/src/app/container/container.component.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="638">
          <caret line="29" column="8" selection-start-line="29" selection-start-column="8" selection-end-line="29" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1166">
          <caret line="53" column="28" selection-start-line="53" selection-start-column="28" selection-end-line="53" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../persistence-unit-main/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="924">
          <caret line="42" column="39" selection-start-line="42" selection-start-column="39" selection-end-line="42" selection-end-column="39" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../persistence-unit-main/src/main/java/de/adesso/thesis/osgi/microfrontend/domain/MicroFrontend.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="616">
          <caret line="34" column="27" selection-start-line="34" selection-start-column="27" selection-end-line="34" selection-end-column="27" />
          <folding>
            <element signature="e#1722#1723#0" expanded="true" />
            <element signature="e#1748#1749#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/osgi/org.osgi.core/6.0.0/org.osgi.core-6.0.0-sources.jar!/org/osgi/framework/BundleActivator.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1166">
          <caret line="67" column="43" selection-start-line="67" selection-start-column="22" selection-end-line="67" selection-end-column="43" />
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>OSGi</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>11</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>client-ui</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.6" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectJDKs.UI">
        <settings>
          <last-edited>11</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: com.eclipsesource.jaxrs:jersey-all:2.18</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>